Get effective browser capabilities and limits.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/capabilities \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/capabilities"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/capabilities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"capabilities": {
"available": true,
"browser": "<string>",
"browser_profiles": [],
"default_viewport": {
"height": 1040,
"width": 1600
},
"egress_countries": [
{
"code": "<string>",
"label": "<string>"
}
],
"features": {
"full_page_screenshots": true,
"interactive_stream": true,
"network_events": true,
"programmatic_navigation": true,
"viewport_screenshots": true
},
"limits": {
"caller_active_sessions": 2,
"organisation_active_sessions": 4
},
"default_egress_country": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Project access
Get effective browser capabilities and limits.
Returns the profiles supported by the Platform Core adapter, currently available egress countries, feature availability, and effective default limits. Windows, macOS, and Linux are browser identity profiles; they do not describe the operating system running the private worker.
GET
https://api.infrawatch.com/api/v1
/
projects
/
{project_uuid}
/
capabilities
Get effective browser capabilities and limits.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/capabilities \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/capabilities"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/capabilities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"capabilities": {
"available": true,
"browser": "<string>",
"browser_profiles": [],
"default_viewport": {
"height": 1040,
"width": 1600
},
"egress_countries": [
{
"code": "<string>",
"label": "<string>"
}
],
"features": {
"full_page_screenshots": true,
"interactive_stream": true,
"network_events": true,
"programmatic_navigation": true,
"viewport_screenshots": true
},
"limits": {
"caller_active_sessions": 2,
"organisation_active_sessions": 4
},
"default_egress_country": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}⌘I